




      SUBROUTINE MEN000 (LCOPT)

















      IMPLICIT      NONE
      INTEGER       GVFLEN, LENLIN
      CHARACTER*(*) LCOPT
      CHARACTER*80  LINE


      RETURN
      END
      SUBROUTINE MEN001 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN002 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN003 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      INTEGER       ICOUNT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN004 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       NUL
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN005 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN006 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'ESPACE.INC'
      INCLUDE       'HB2INC.INC'
      INTEGER       DUMMY, IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN007 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR, NUL, IAA
      CHARACTER*6   LCOPT
      LOGICAL       GRAPON, DONE

      RETURN
      END
      SUBROUTINE MEN008 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN009 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IFT1, IFT2
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN010 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN011 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INCLUDE       'SOLIDS.INC'
      INCLUDE       'JUNIOR.INC'
      CHARACTER*6   LCOPT
      LOGICAL       GRAPON, DONE

      RETURN
      END
      SUBROUTINE MEN012 (LCOPT,DONE)

















      IMPLICIT      NONE
      LOGICAL       GRAPON, DONE
      CHARACTER*6   LCOPT

      RETURN
      END
      SUBROUTINE MEN013 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       FIRST, DONE

      RETURN
      END
      SUBROUTINE MEN014 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      LOGICAL       DONE, GRAPON
      CHARACTER*6   LCOPT
      CHARACTER*80  LOCLIN

      RETURN
      END
      SUBROUTINE MEN015 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'LABELS.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, GRAPON

      RETURN
      END
      SUBROUTINE MEN016 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       NUMDEL
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN017 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       ICNT, IPLTNR, IERR, GVFFFI
      LOGICAL       DONE, GRAPON, VIEWMT
      REAL          RMAT(3,3), CENTER(3), TRANS(3), SLAB, SCALE
      CHARACTER*6   LCOPT
      SAVE          VIEWMT
      DATA VIEWMT   /.FALSE./

      RETURN
      END
      SUBROUTINE MEN018 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR, NUL
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN019 (LCOPT,DONE)

















      IMPLICIT      NONE
      LOGICAL       DONE
      CHARACTER*6   LCOPT

      RETURN
      END
      SUBROUTINE MEN020 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'IRIGRA.INC'
      LOGICAL       DONE, GRAPON
      CHARACTER*6   LCOPT

      RETURN
      END
      SUBROUTINE MEN021 (LCOPT,DONE)


















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN022 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN023 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'ESPACE.INC'
      INCLUDE       'SEARCH.INC'
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN024 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN025 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN026 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'ESPACE.INC'
      INCLUDE       'SEARCH.INC'
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN027 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       GVFFFF, I, IAT, IAA, IFT1, IFT2
      REAL          RADNEW
      LOGICAL       DONE
      CHARACTER*6   LCOPT

      RETURN
      END
      SUBROUTINE MEN028 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'SYMINC.INC'
      INCLUDE       'ESPACE.INC'
      INCLUDE       'HB2INC.INC'
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN029 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      LOGICAL       DONE
      CHARACTER*6   LCOPT

      RETURN
      END
      SUBROUTINE MEN030 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'CLUFAM.INC'
      INTEGER       ICLU
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN031 (LCOPT,DONE)

















      IMPLICIT      NONE                                
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      INCLUDE       'PLIINC.INC'
      INCLUDE       'GRIDS.INC'
      INTEGER       IERR, NOWOLD
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END   
      SUBROUTINE MEN032 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       IERR
      INTEGER       NOWOLD, IMAP
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN033 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'HSPINC.INC'
      INTEGER       ISOUP
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN034 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE
      INTEGER       IERR

      RETURN
      END
      SUBROUTINE MEN035 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IDUMMY, JDUMMY
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN036 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      CHARACTER*6   LCOPT
      CHARACTER*40  PHIIN, PHIOUT
      INTEGER       IERR
      LOGICAL       DONE
      REAL          AVE, SDEV

      RETURN
      END
      SUBROUTINE MEN037 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN038 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN039 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT, STRING
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN040 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN041 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       NULL
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN042 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN043 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN044 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN045 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      LOGICAL       DONE
      CHARACTER*6   LCOPT
      CHARACTER*80  TEXT

      RETURN
      END
      SUBROUTINE MEN046 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN047 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'WALIGN.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN048 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN049 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, WASBUT11

      RETURN
      END
      SUBROUTINE MEN050 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN051 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN052 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN053 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN054 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, GVFYON

      RETURN
      END
      SUBROUTINE MEN055 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END 
      SUBROUTINE MEN056 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN057 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'CMSINC.INC'
      CHARACTER*6   LCOPT
      CHARACTER*80  LOCLIN
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN058 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN059 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN060 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'ESPACE.INC'
      INCLUDE       'NEURON.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, GVFYON

      RETURN
      END
      SUBROUTINE MEN061 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN062 (LCOPT,DONE)

















      IMPLICIT      NONE
      INTEGER       NUL1, NUL2, NUL3
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN063 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       NOWOLD, IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN064 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      INTEGER       IDUMMY
      CHARACTER*6   LCOPT
      LOGICAL       DONE, GVFIBN

      RETURN
      END
      SUBROUTINE MEN065 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN066 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN067 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN068 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN069 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'SUGARS.INC'
      INCLUDE       'HISTOG.INC'
      INCLUDE       'ESPACE.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, GOTFILE

      RETURN
      END
      SUBROUTINE MEN070 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'HSTINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, GVFFOP
      INTEGER       IAA

      RETURN
      END
      SUBROUTINE MEN071 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN072 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN073 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'ELECTR.INC'
      INCLUDE       'ESPACE.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE, LOC



      RETURN
      END
      SUBROUTINE MEN074 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE
      INTEGER       IERR

      RETURN
      END
      SUBROUTINE MEN075 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE

      RETURN
      END
      SUBROUTINE MEN076 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      CHARACTER*6   LCOPT
      LOGICAL       DONE








      DONE=.TRUE.





      IF (LCOPT.EQ.'ALTUSE'.OR.LCOPT.EQ.'USEALT') THEN
         USEALT=.NOT.USEALT
         IF (USEALT) THEN
            CALL GVSTT6 ('?M2727')
         ELSE
            CALL GVSTT6 ('?M2728')
         END IF





      ELSE IF (LCOPT.EQ.'ALTSWP'.OR.LCOPT.EQ.'SWPALT') THEN
         CALL ALT010





      ELSE IF (LCOPT.EQ.'ALTSTS'.OR.LCOPT.EQ.'STSALT') THEN
         CALL ALT050





      ELSE IF (LCOPT.EQ.'ALTCHK'.OR.LCOPT.EQ.'CHKALT') THEN
         CALL SC1004
         CALL SC1005
         CALL SC1006
         CALL SC1007
         CALL SC1008





      ELSE IF (LCOPT.EQ.'ALTCOR'.OR.LCOPT.EQ.'CORALT') THEN
         CALL ALT059





      ELSE IF (LCOPT.EQ.'ALTLST'.OR.LCOPT.EQ.'LSTALT') THEN
         CALL ALT011
      ELSE
         DONE=.FALSE.
      END IF






      RETURN
      END   
      SUBROUTINE MEN077 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE







      RETURN
      END   
      SUBROUTINE MEN078 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       I, MEMUSE, GVFFFI, IERR
      CHARACTER*6   LCOPT
      LOGICAL       GVFYON, DONE







      RETURN
      END
      SUBROUTINE MEN079 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'CMSINC.INC'
      INTEGER       IERR
      CHARACTER*6   LCOPT
      LOGICAL       DONE







      RETURN
      END   
      SUBROUTINE MEN080 (LCOPT,DONE)

















      IMPLICIT      NONE
      CHARACTER*6   LCOPT
      LOGICAL       DONE







      RETURN
      END   
      SUBROUTINE MEN081 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'      
      INCLUDE       'ANISOU.INC'      
      CHARACTER*6   LCOPT
      LOGICAL       DONE







      RETURN
      END   
      SUBROUTINE MEN082 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'WALSER.INC'
      INTEGER       IERR
      LOGICAL       DONE
      CHARACTER*6   LCOPT
      CHARACTER*80  TEXT







      RETURN
      END   
      SUBROUTINE MEN083 (LCOPT,DONE)

















      IMPLICIT      NONE
      LOGICAL       DONE
      CHARACTER*6   LCOPT







      RETURN
      END   
      SUBROUTINE MEN084 (LCOPT,DONE)

















      IMPLICIT      NONE
      REAL          DUMMY
      LOGICAL       DONE
      CHARACTER*6   LCOPT







      RETURN
      END   
      SUBROUTINE MEN085 (LCOPT,DONE)

















      IMPLICIT      NONE
      LOGICAL       DONE
      CHARACTER*6   LCOPT







      RETURN
      END



      SUBROUTINE MEN087 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      LOGICAL       DONE, GVFFOP
      CHARACTER*6   LCOPT







      RETURN
      END   
      SUBROUTINE MEN088 (LCOPT,DONE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      LOGICAL       DONE, GOTFILE
      CHARACTER*6   LCOPT





 998  CONTINUE


      RETURN
      END   
      SUBROUTINE MEN099 (LCOPT,DONE)





















      IMPLICIT      NONE
      LOGICAL       DONE
      CHARACTER*6   LCOPT

      RETURN
      END
      SUBROUTINE MEN200 (LCOPT,DONE)

















      IMPLICIT      NONE
      LOGICAL       DONE
      CHARACTER*6   LCOPT







      RETURN
      END   
